Thumbnails
Endpoints for managing workspace thumbnails
Delete thumbnail for workspace
Workspaces API
Version: 1.0
Deletes the thumbnail image for a workspace.
Parameters
Returns
204
Successful Response
Endpoint
DELETE
/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnailRequest
cURL
curl -X DELETE 'https://{service_host}/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnail' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.
Get thumbnail for workspace
Workspaces API
Version: 1.0
Returns the thumbnail image for a workspace.
Parameters
Returns
200
Successful Response
Endpoint
GET
/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnailRequest
cURL
curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnail' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
"string"
Upload thumbnail for workspace
Workspaces API
Version: 1.0
Upload a new thumbnail image for a workspace. The image must be of type png, jpeg, or jpg. Maximum file size is 10 MB. Max dimensions are 10000 pixels with a total number of pixels not exceeding 20 million.
Parameters
Returns
204
Successful Response
Endpoint
PUT
/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnailRequest
cURL
curl -X PUT 'https://{service_host}/workspace/orgs/{org_id}/workspaces/{workspace_id}/thumbnail' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
No response body.